agc_s Struct Reference

Structure holding data for doing AGC. More...

`#include <agc.h>`

## Data Fields

mfcc_t | max
| Estimated max for current utterance (for AGC_EMAX)
mfcc_t | obs_max
| Observed max in current utterance.
int32 | obs_frame
| Whether any data was observed after prev update.
int32 | obs_utt
| Whether any utterances have been observed.
mfcc_t | obs_max_sum
mfcc_t | noise_thresh
| Noise threshold (for AGC_NOISE only)

## Detailed Description

Structure holding data for doing AGC.

Definition at line 113 of file agc.h.

## Field Documentation

## max

mfcc_t agc_s::max

Estimated max for current utterance (for AGC_EMAX)

Definition at line 114 of file agc.h.

Referenced by agc_emax(), agc_emax_get(), agc_emax_set(), and agc_emax_update().

## noise_thresh

mfcc_t agc_s::noise_thresh

Noise threshold (for AGC_NOISE only)

Definition at line 119 of file agc.h.

Referenced by agc_get_threshold(), agc_init(), agc_noise(), and agc_set_threshold().

## obs_frame

int32 agc_s::obs_frame

Whether any data was observed after prev update.

Definition at line 116 of file agc.h.

Referenced by agc_emax(), agc_emax_update(), and agc_max().

## obs_max

mfcc_t agc_s::obs_max

Observed max in current utterance.

Definition at line 115 of file agc.h.

Referenced by agc_emax(), agc_emax_update(), and agc_max().

## obs_max_sum

mfcc_t agc_s::obs_max_sum

Definition at line 118 of file agc.h.

## obs_utt

int32 agc_s::obs_utt

Whether any utterances have been observed.

Definition at line 117 of file agc.h.

Referenced by agc_emax_update().

The documentation for this struct was generated from the following file:

- include/sphinxbase/agc.h